import requests
from src.args import args

def get_secure_origin() -> str:
    res = requests.get(f"{args.unsecure_origin}/secure_origin")
    if res.status_code < 200 or res.status_code > 299:
        raise Exception(f"Get secure origin failed with status {res.status_code}")
    return res.text

def get_root_ca() -> str:
    res = requests.get(f"{args.unsecure_origin}/pki/root_ca.pem")
    if res.status_code < 200 or res.status_code > 299:
        raise Exception(f"Get root CA failed with status {res.status_code}")
    return res.text
